#include <stdio.h>
#include <string.h>
#include <math.h>
#include <stdlib.h>

long lowFingers[7][10]=
{
//   1  2  3  4  5  6  7  8  9 10
	{0, 1, 1, 0, 0, 0, 0, 0, 0, 0},	//a
	{0, 1, 0, 0, 0, 0, 0, 0, 0, 0}, //b
	{0, 1, 1, 1, 0, 0, 1, 1, 1, 1}, //c
	{0, 1, 1, 1, 0, 0, 1, 1, 1, 0}, //d
	{0, 1, 1, 1, 0, 0, 1, 1, 0, 0}, //e
	{0, 1, 1, 1, 0, 0, 1, 0, 0, 0}, //f
	{0, 1, 1, 1, 0, 0, 0, 0, 0, 0}, //g
};

long highFingers[7][10]=
{
//   1  2  3  4  5  6  7  8  9 10
	{1, 1, 1, 0, 0, 0, 0, 0, 0, 0},	//A
	{1, 1, 0, 0, 0, 0, 0, 0, 0, 0}, //B
	{0, 0, 1, 0, 0, 0, 0, 0, 0, 0}, //C
	{1, 1, 1, 1, 0, 0, 1, 1, 1, 0}, //D
	{1, 1, 1, 1, 0, 0, 1, 1, 0, 0}, //E
	{1, 1, 1, 1, 0, 0, 1, 0, 0, 0}, //F
	{1, 1, 1, 1, 0, 0, 0, 0, 0, 0}, //G
};


const long MAX_NOTES_COUNT = 250;

int main(void)
{
#ifndef ONLINE_JUDGE
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif

	char notes[MAX_NOTES_COUNT];

	gets(notes);
	long ctests;
	sscanf(notes,"%ld",&ctests);

	while(ctests--)
	{
		gets(notes);

		long lastFingers[10];
		long finger, fingerUse[10];

		for(finger = 0; finger < 10; ++finger)
			lastFingers[finger] = fingerUse[finger] = 0;

		long cNotes = strlen(notes), note;
		long *noteFingers;

		for(note = 0; note < cNotes; ++note)
		{
			if(notes[note] >= 'a' && notes[note] <= 'g')
				noteFingers = lowFingers[notes[note] - 'a'];
			else
				noteFingers = highFingers[notes[note] - 'A'];
			for(finger = 0; finger < 10; ++finger)
				if(! lastFingers[finger] && noteFingers[finger])
					++fingerUse[finger];
			memcpy(lastFingers, noteFingers, sizeof(lastFingers));
		}

		for(finger = 0; finger < 10; ++finger)
		{
			if(finger) putchar(' ');
			printf("%ld", fingerUse[finger]);
		}
		putchar('\n');
	}

#ifndef ONLINE_JUDGE
	fclose(stdout);
	fclose(stdin);
#endif

	return 0;
}